This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 45129 - Uri.IsWellFormedUriString returns incorrect result for relative uris beginning with slash
Summary: Uri.IsWellFormedUriString returns incorrect result for relative uris beginnin...
Status: VERIFIED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: 4.6.0 (C8)
Hardware: PC Linux
: --- normal
Target Milestone: 4.8.0 (C9)
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2016-10-06 17:38 UTC by cpisto+xamarin
Modified: 2016-10-10 12:12 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: Yes
Last known good build: 3.2.8


Attachments
Test Case (273 bytes, text/plain)
2016-10-06 17:38 UTC, cpisto+xamarin
Details

Description cpisto+xamarin 2016-10-06 17:38:30 UTC
Created attachment 17911 [details]
Test Case

Uri.IsWellformedUriString is returning False when it should be returning True for relative uris beginning with a slash - like "/test".

Test case is attached.

MS runtime output (correct):

True
True


Mono 4.6 output:

True
False
Comment 1 cpisto+xamarin 2016-10-06 18:01:17 UTC
Also of note, this is a regression, mono 3.2 behaves correctly.
Comment 2 Marek Safar 2016-10-07 11:58:50 UTC
Fixed in master and Mono 4.8
Comment 3 Mohit Kheterpal 2016-10-10 12:12:16 UTC
I have checked this issue and observed that this issue has been fixed in master build of MonoFramework-MDK-4.8.0.203.macos10.xamarin.universal_e897a5d7e4d67c5a30470a6e4ec79fadbf072560

Screencast : http://www.screencast.com/t/lqkoHk5DHvC0

Hence, closing this issue by marking it as Verified.

thanks

Note You need to log in before you can comment on or make changes to this bug.